NASM ?= nasm
LD ?= ld
GCC ?= gcc

all:
	@echo "No default command"

clean:
	rm -rf *.o
	rm -rf *.out

maxofthree.o:
	$(NASM) -felf64 maxofthree.asm -o $@

a.out: maxofthree.o
	$(GCC) -no-pie $< -o $@ callmaxofthree.c
